Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfTextUnderlineType

    java.lang.Object
      java.lang.Enum<OdfTextUnderlineType>
          org.odftoolkit.odfdom.dom.type.style.OdfTextUnderlineType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextUnderlineType>

    public enum OdfTextUnderlineType

extends Enum<OdfTextUnderlineType>

DOM implementation of OpenDocument attribute style:text-underline-type.

Enum Constant Summary
`DOUBLE`
`NONE`
`SINGLE`

Method Summary
`static OdfTextUnderlineType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextUnderlineType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextUnderlineType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextUnderlineType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOUBLE

    public static final OdfTextUnderlineType DOUBLE

### NONE

    public static final OdfTextUnderlineType NONE

### SINGLE

    public static final OdfTextUnderlineType SINGLE

Method Detail

### values

    public static OdfTextUnderlineType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextUnderlineType c : OdfTextUnderlineType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextUnderlineType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextUnderlineType>`
  Returns:
    return the name of OdfTextUnderlineType

### toString

    public static String toString(OdfTextUnderlineType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextUnderlineType, see style:text-underline-type
  Returns:
    return the name of OdfTextUnderlineType

### enumValueOf

    public static OdfTextUnderlineType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextUnderlineType
  Returns:
    return the constant of OdfTextUnderlineType, see style:text-underline-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.